program localsave

  implicit none

  call dumb
  call dumb
  
  contains

  subroutine dumb

  integer :: j = 5
!-- this is superfluous because initialized variables
!-- get saved automatically
  !integer, SAVE :: j = 5
 
  print*, '### top of dumb: j = ',j 
  j = 10
  print*, '### bottom of dumb: j = ',j 

  end subroutine dumb

end program localsave
